%define 	modulename pam_ccreds
Summary:	PAM cached credentials module
Summary(pl.UTF-8):	Moduł PAM do zapamiętywania danych uwierzytelniających
Name:		pam-%{modulename}
Version:	10
Release:	6
License:	GPL
Group:		Applications/System
Source0:	http://www.padl.com/download/pam_ccreds-%{version}.tar.gz
# Source0-md5:	21b008071ee8bfb998bd499c0fa92ba1
URL:		http://www.padl.com/OSS/pam_ccreds.html
BuildRequires:	autoconf
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pam_ccreds module provides the means for Linux workstations to
locally authenticate using an enterprise identity when the network is
unavailable. Used in conjunction with the nss_updatedb utility, it
provides a mechanism for disconnected use of network directories. They
are designed to work with pam_ldap and nss_ldap.

%description -l pl.UTF-8
Moduł pam_ccreds umożliwia stacjom linuksowym na lokalne
uwierzytelnianie przy użyciu firmowej tożsamości podczas
niedostępności sieci. Używany w połączeniu z narzędziem nss_updatedb
udostępnia mechanizm do używania katalogów sieciowych przy braku
połączenia. Narzędzia te są zaprojektowane do użytku z pam_ldap i
nss_ldap.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__autoconf}
%{__autoheader}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}/security
install pam_ccreds.so $RPM_BUILD_ROOT/%{_lib}/security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) /%{_lib}/security/pam_ccreds.so
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_ccreds.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> b44ae1b
- rebuild with openssl 3.0.0

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4aa882c
- release 5 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 5a65ebe
- release 4 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 7d667c6
- Rebuild with DB 5.3
- release 3 (by relup.sh)

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 633d694
- release 2

* Mon Jun 22 2009 zbyniu <zbyniu@pld-linux.org> 03cba4c
- up to 10

* Tue Feb 13 2007 Jakub Bogusz <qboosh@pld-linux.org> a96b305
- pl
- removed COPYING from doc (just GPL)
- BR: db-devel openssl-devel

* Fri Feb 02 2007 Elan Ruusamäe <glen@pld-linux.org> ff684a0
- BR: autoconf

* Fri Feb 02 2007 Elan Ruusamäe <glen@pld-linux.org> 1950963
- new

